<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateOltOnuInformationTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('olt_onu_information', function (Blueprint $table) {
            $table->id();
            $table->string('oltaddress', 255);
            $table->string('oltName', 255);
            $table->string('onuid', 255);
            $table->string('mac', 255)->unique();

            $table->string('Vlan', 255)->nullable();
            $table->string('interface', 255)->nullable();
            $table->string('laser', 255)->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('olt_onu_information');
    }
}
